<?php

namespace App\Classes\Modules\Unity\Processors;

use Config;
use Illuminate\Support\Facades\Http;
use App\Classes\Modules\Unity\Services\ActivatesContract;

class ActivateContractProcessor
{
    private $activatesContract;

    public function __construct(ActivatesContract $activatesContract)
    {
        $this->activatesContract = $activatesContract;
    }

    public function execute($contract_hash_id){
        return $this->activatesContract->execute($contract_hash_id);
    }
}
